Lingxing
切换旧版

查询Temu在线商品

POST/basicOpen/multiplatform/temu/list

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatform/temu/listHTTPSPOST1

请求参数

principalUidsarray<any>
负责人用户ID列表
brandIdsarray<any>
品牌id列表
categoryIdsarray<any>
分类id列表
offsetinteger
分页偏移量
lengthinteger
分页长度,上限1000
useCursorboolean
是否使用游标分页,默认 false;使用游标分页后不返回 count
cursorIdstring
游标分页标识,传上一页按 id 升序返回的 nextCursorId
pairingStatusinteger
配对状态
0、未配对
1、已配对
searchFieldstring必填
搜索维度
1、标题
2、品名
4、SKC货号
5、平台SPU
6、平台SKC
7、MSKU ID
8、SKU
9、MSKU
statusinteger
状态
0、删除
2、正常
storeIdsarray<any>
店铺id列表
searchValuesarray<any>
精确搜索值列表
searchSingleValuestring
模糊搜索值
updateStartTimestring
更新时间范围开始时间,日期格式:yyyy-MM-dd HH:mm:ss
updateEndTimestring
更新时间范围结束时间,日期格式:yyyy-MM-dd HH:mm:ss

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/shein/list?access_token=value&sign=value&timestamp=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "principalUids": [10001,10002],
    "brandIds": [value],
    "categoryIds": [value],
    "offset": value,
    "length": value,
    "useCursor": false,
    "pairingStatus": value,
    "searchField": "value",
    "status": value,
    "storeIds": ["value"],
    "searchSingleValue": "value",
    "searchValues": ["value"],
    "updateStartTime": "2024-01-01 00:00:00",
    "updateEndTime": "2024-01-01 23:59:59"
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
示例 a0d54debf93140f3b58d1ed81e8e3583.114.17261215395432737
response_timestring必填
响应时间
示例 2024-09-12 14:12:20
dataobject必填
响应数据
隐藏子属性
hasNextboolean
是否存在下一页,仅 useCursor 为 true 时返回
示例 true
nextCursorIdstring
下一页游标,仅 useCursor 为 true 时返回
示例 11
countinteger
总数,仅 useCursor 为 false 时返回
示例 2
listarray<object>必填
隐藏子属性
idstring必填
id
示例 11
productUniqueIdstring必填
商品uid
示例 901457876655013888
principalUidsarray<any>必填
负责人uid列表
示例 ["100003"]
principalNamestring必填
负责人名称
示例 林小芳111
companyIdstring必填
企业id
示例 901157321452879872
storeIdstring必填
店铺id
示例 110443249963082240
storeNamestring必填
店铺名称
示例 欧区测试--1111_半7
platformCodestring必填
平台代码
示例 10024
mskuIdstring必填
MSKU ID
示例 27162024062701
mskustring必填
MSKU
示例 test2-msku-b8888
pnamestring必填
品名
示例 test2407094pm
skustring必填
SKU
示例 test2407094sku
pidstring必填
本地商品id
示例 5858
titlestring必填
标题
示例 test-semi_goods_add_test_by_api
cidstring必填
分类id
示例 16
bidstring必填
品牌id
示例 1
day7SaleCntinteger必填
7天销量
示例 0
day30SaleCntinteger必填
30天销量
示例 0
wareHouseDataListarray<object>必填
隐藏子属性
warehouseIdstring必填
仓库id
示例 WH-03852452270231627
warehouseNamestring必填
仓库名称
示例 美东仓库
quantityinteger必填
库存数量
示例 90
notesstring必填
备注
imgUrlstring必填
图片链接
skcIdstring必填
SKC ID
示例 2024062701
skcstring必填
SKC
示例 test2-skc-b1
spuIdstring必填
SPU ID
示例 252845852024062701
statusinteger必填
上架状态 0、删除 2、正常
示例 2
attributestring必填
SKU规格
示例 test-红色-test-白色
jitModeinteger必填
JIT发货模式
0、无发货模式
1、Jit发货模式
2、非Jit发货模式
示例 2
catNameinteger必填
叶子类目
示例 1
selectStatusstring必填
商品状态
枚举类,详情见附加说明
示例 test2-男士项链
virtualQuantityinteger必填
虚拟库存
示例 150
usableInventorystring必填
可用库存
bnamestring必填
品牌名称
示例 品牌12
cnamestring必填
分类名称
示例 篮球鞋
supplyPriceListarray<object>必填
隐藏子属性
pricenumber必填
申报价
示例 77
currencystring必填
货币
示例 ¥
beginStrstring必填
申报价执行开始时间
示例 2024-08-07
endStrstring必填
申报价执行结束时间
promotionalPriceDataListarray<object>
活动价详情
隐藏子属性
activeStatusstring必填
活动状态:0 报名失败
1 报名成功待开始
2 进行中
3 活动已结束
示例 2
activeTypestring必填
Temu 活动主题名
示例 限时促销
currencystring必填
币种
示例 CNY
promotionalPricestring必填
活动价
示例 69.00
resultstring必填
报名结果:0 报名失败
1 报名成功待开始
2 进行中
3 已结束
示例 2
uniqueIdstring必填
活动价唯一键
示例 activity-price-001
totalinteger必填
总数
示例 0

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583.205.17261288401451103",
    "response_time": "2024-09-12 16:14:01",
    "data": {
        "count": 1,
        "list": [
            {
                "id": "11",
                "productUniqueId": "901457813888",
                "principalUids": [
                    "100003"
                ],
                "principalName": "林小",
                "companyId": "9011572879872",
                "storeId": "1104432082240",
                "storeName": "欧区测试",
                "platformCode": "10024",
                "mskuId": "2712701",
                "msku": "test2-msku-b8888",
                "pname": "test2407094pm",
                "sku": "test2407094sku",
                "pid": "5858",
                "title": "test-semi_goods_add_test_by_api",
                "cid": "16",
                "bid": "1",
                "day7SaleCnt": 0,
                "day30SaleCnt": 0,
                "wareHouseDataList": [
                    {
                        "warehouseId": "WH-03852452270231627",
                        "warehouseName": "美东仓库",
                        "quantity": 90
                    },
                    {
                        "warehouseId": "WH-03852452270231628",
                        "warehouseName": "美西仓库",
                        "quantity": 60
                    }
                ],
                "notes": "",
                "imgUrl": "",
                "skcId": "2024062701",
                "skc": "test2-skc-b1",
                "spuId": "2528458062701",
                "status": 2,
                "attribute": "test-红色-test-白色",
                "jitMode": 2,
                "catName": "test2-男士项链",
                "virtualQuantity": 150,
                "usableInventory": null,
                "bname": "品牌12",
                "cname": "篮球鞋",
                "promotionalPriceDataList": [
                    {
                        "activeStatus": "2",
                        "activeType": "限时促销",
                        "currency": "CNY",
                        "promotionalPrice": "69.00",
                        "result": "2",
                        "uniqueId": "activity-price-001"
                    }
                ],
                "supplyPriceList": [
                    {
                        "price": 77.00,
                        "currency": "¥",
                        "beginStr": "2024-08-07",
                        "endStr": null
                    },
                    {
                        "price": 47.00,
                        "currency": "¥",
                        "beginStr": "2024-05-30",
                        "endStr": "2024-08-06"
                    },
                    {
                        "price": 88.00,
                        "currency": "¥",
                        "beginStr": "2024-05-21",
                        "endStr": "2024-05-29"
                    }
                ]
            }
        ]
    },
    "total": 0
}

附加说明:

selectStatus枚举类如下:
0, 已弃用
1, 待平台选品
2, 待上传生产资料
3, 待寄样
4, 寄样中
5, 待平台审版
6, 审版不合格
7, 平台核价中
8, 待修改生产资料
9, 核价未通过
10, 待下首单
11, 已下首单
12, 已加入站点
13, 已下架
14, 待卖家修改
15, 已修改
16, 服饰可加色
17, 已终止